-- ----------------------------------------------------------------------------
-- Copyright (C) 2010 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS
-- ----------------------------------------------------------------------------
--             Voice Skin: Portuguese Brazilian TTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Raquel"
language = "Portuguese (Brazil)"
marc_code = "076"
language_id = "76"
id = "76002"
config_file = "brazilian_tts/config_tts.lua"
audio_files_path = "brazilian_tts/brazilian_tts"
rulesets_file = "brazilian_tts/brazilian_tts/rulesets_PTB.txt"
userdictionary_file = "brazilian_tts/brazilian_tts/udct_ptb.dat"
apdb = "apdb/raquel/nm"
audio_files_version = "0.2.0.2011082301"
client_range = "[client >= 1.3.18.0 ; client < 1.4.6.0 ]"

maneuver_check = {
    ["END"] = "você chegará ao seu destino",                        -- You will reach your destination
    ["STOPOVER"] = "você chegará a uma parada",                     -- You will reach a stopover
    ["JUNCTION"] = nil,                                             -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                        -- the junction
    ["ROUNDABOUT"] = "na rotatória,",                               -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "pegue a saída",                          -- take the exit
    ["UTURN"] = "retorne",                                   -- Make a uturn
    ["ENTER_HIGHWAY"] = "entre na rodovia",
    ["LEAVE_HIGHWAY"] = "pegue a saída",                            -- take the exit
    ["CONTINUE_HIGHWAY"] = "pegue a saída",                         -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "entre na rodovia",
    ["LEAVE_URBAN_HIGHWAY"] = "pegue a saída",                      -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "pegue a saída",
    ["DRIVE_TO_NEAREST_ROAD"] = "Dirija até a rodovia mais próxima",  -- drive to nearest road 
    ["FERRY"] = "pegue a balsa"
}

maneuver_turns_car = {
    ["NO_TURN"] = "siga em frente",
    ["KEEP_MIDDLE"] = "pegue a faixa do meio",
    ["KEEP_RIGHT"] = "mantenha-se à direita",
    ["LIGHT_RIGHT"] = "vire levemente à direita",
    ["QUITE_RIGHT"] = "vire à direita",
    ["HEAVY_RIGHT"] = "vire acentuadamente à direita",
    ["RETURN"] = "retorne",
    ["HEAVY_LEFT"] = "vire acentuadamente à esquerda",
    ["QUITE_LEFT"] = "vire à esquerda",
    ["LIGHT_LEFT"] = "vire levemente à esquerda",
    ["KEEP_LEFT"] = "mantenha-se à esquerda",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "siga em frente",
    ["KEEP_MIDDLE"] = "siga em frente",
    ["KEEP_RIGHT"] = "pegue a rua à direita",
    ["LIGHT_RIGHT"] = "vire levemente à direita",
    ["QUITE_RIGHT"] = "vire à direita",
    ["HEAVY_RIGHT"] = "vire acentuadamente à direita",
    ["RETURN"] = "retorne",
    ["HEAVY_LEFT"] = "vire acentuadamente à esquerda",
    ["QUITE_LEFT"] = "vire à esquerda",
    ["LIGHT_LEFT"] = "vire levemente à esquerda",
    ["KEEP_LEFT"] = "pegue a rua à esquerda",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "atravesse o edifício",
    ["SQUARE"] = "atravesse a praça",
    ["PARK"] = "atravesse o parque",
    ["STAIRS"] = "pegue as escadas",
    ["ELEVATOR"] = "pegue o elevador",
    ["ESCALATOR"] = "pegue as escadas"
}

final_command = {
    ["END"] = "Você chegou ao seu destino",                             -- You have reached your destination
    ["STOPOVER"] = "Você chegou a uma parada"                           -- You have reached a stopover
}

exit_number_check = {
    [1] = {"pegue a primeira saída", "vire na primeira rua"},                   -- take the first exit
    [2] = {"pegue a segunda saída", "vire na segunda rua"},                     -- take the second exit
    [3] = {"pegue a terceira saída", "vire na terceira rua"},                   -- take the third exit
    [4] = {"pegue a quarta saída", "vire na quarta rua"},                       -- take the fourth exit
    [5] = {"pegue a quinta saída", "vire na quinta rua"},                       -- take the fifth exit
    [6] = {"pegue a sexta saída", "vire na sexta rua"},                         -- take the sixth exit
    [7] = {"pegue a sétima saída", "vire na sétima rua"},                       -- take the seventh exit
    [8] = {"pegue a oitava saída", "vire na oitava rua"},                       -- take the eighth exit
    [9] = {"pegue a nona saída", "vire na nona rua"},                           -- take the ninth exit
    [10] = {"pegue a décima saída", "vire na décima rua"},                      -- take the tenth exit
    [11] = {"pegue a décima primeira saída", "vire na décima rua"},             -- take the eleventh exit
    [12] = {"pegue a décima segunda saída", "vire na décima segunda rua"}       -- take the twelfth exit
}

distances = {
    [50] = "50",
    [100] = "100",
    [150] = "150",
    [200] = "200",
    [250] = "250",
    [300] = "300",
    [400] = "400",
    [500] = "500",
    [600] = "600",
    [700] = "700",
    [800] = "800",
    [900] = "900",
    [1] = "1",
    [2] = "2",
    [3] = "3",
    [4] = "4",
    [5] = "5",
    [6] = "6",
    [7] = "7",
    [8] = "8",
    [9] = "9",
    [10] = "10"
}

unit = {                        
    ["MILE"] = "milha",
    ["YARDS"] = "jardas",
    ["KILOMETER"] = "quilômetro",
    ["METERS"] = "metros",
    ["METER"] = "metros",
    ["KILOMETERS"] = "quilômetros",
    ["MILES"] = "milhas",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "norte",
    ["NORTH_EAST"] = "nordeste",
    ["EAST"] = "leste",
    ["SOUTH_EAST"] = "sudeste",
    ["SOUTH"] = "sul",
    ["SOUTH_WEST"] = "sudoeste",
    ["WEST"] = "oeste",
    ["NORTH_WEST"] = "noroeste"
}

misc = { 
    ["gps_signal_lost_wav"] = "Sinal de GPS perdido",
    ["gps_signal_restored_wav"] = "A conexão com o GPS foi restabelecida",
 --   ["no_gps_signal_wav"] = "Sem sinal de GPS",
    ["route_recalculation_wav"] = "Recalculando a rota.",
    ["now_wav"] = "Agora,",
    ["end_of_street_wav"] = "No final da rua,",
    ["follow_motorway_wav"] = "Siga a rodovia",
    ["follow_road_wav"] = "Siga o curso da rodovia",
    ["for_wav"] = "por",
    ["after_wav"] = "Após",
    ["the_junction_wav"] = "o cruzamento",
    ["half_a_mile_wav"] = "meia milha",
    ["quarter_a_mile_wav"] = "um quarto de milha",
    ["and_immediately_wav"] = "e, a seguir,",
    ["safety_camara_ahead_wav"] = "Radar fotográfico à frente",
    ["over_speed_limit_wav"] = "Observe o limite de velocidade",
    ["traffic_automatic_detour_wav"] = "Congestionamento à frente, desviando. ",
    ["traffic_manual_detour_wav"] = "Congestionamento à frente, gostaria de desviar?",
    ["no_detour_possible"] = "Não foi possível desviar do congestionamento.",
    ["and_wav"] = "e",
    ["and_then_wav"] = "e depois,",
    ["and_continue_on_wav"] = "e continue na",
    ["towards_wav"] = "em direção à",
    ["turn_wav"] = "vire",
    ["onto_wav"] = "na",
    ["exit_wav"] = "pegue a saída",
    ["second_right_wav"] = "vire na segunda rua à direita",
    ["second_left_wav"] = "vire na segunda rua à esquerda",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "caminhe à esquerda pela rotatória",
    ["walk_right_roundabout_wav"] = "caminhe à direita pela rotatória",
    ["walk_roundabout_wav"] = "caminhe pela rotatória",
    ["head_wav"] = "Siga para o",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = "na",
    ["the_footpath_wav"] = "no caminho"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


